## iproute2 3.10.0

=== debian/changelog ===
iproute2 (3.10.0-1ubuntu1) saucy; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Disable Werror for now (based on a similar change done in Fedora),
      this prevents a build failure caused by ss.c not checking the return
      values of several fgets and fscanf.

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 19 Aug 2013 16:25:11 +0200

iproute2 (3.10.0-1) unstable; urgency=low

  * Imported Upstream version 3.10.0 (aka. snapshot 20130716)
  * Let "gbp-pq rebase && gbp-pq export" drop upstreamed patches
    - 0003-iproute2-fix-build-failure-on-sparc-due-to-Wformat-a.patch
    - 0004-iproute2-patch-against-GCC-4.8.0.patch
    - 0005-ip-fix-build-failure-if-time_t-is-not-long-int.patch

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 24 Jul 2013 12:23:53 +0200

iproute2 (3.9.0-5ubuntu1) saucy; urgency=low

  * Disable Werror for now (based on a similar change done in Fedora),
    this prevents a build failure caused by ss.c not checking the return
    values of several fgets and fscanf.

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 09 Jul 2013 18:17:59 -0400

iproute2 (3.9.0-5) unstable; urgency=low

  * Cherry-pick patch from upstream to fix build on x32.
    Thanks to Adam Borowski (Closes: #714172)

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 26 Jun 2013 21:04:16 +0200

iproute2 (3.9.0-4) unstable; urgency=low

  * Cherry-pick upstream patch to build with gcc 4.8.0 (Closes: #713998)

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 24 Jun 2013 19:54:41 +0200

iproute2 (3.9.0-3) unstable; urgency=low

  * Cherry-pick sparc build failure fix from upstream (Closes: #711540)
    - 0003-iproute2-fix-build-failure-on-sparc-due-to-Wformat-a.patch:

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 10 Jun 2013 11:59:42 +0200

iproute2 (3.9.0-2) unstable; urgency=low

  * Give up and just use an epoch for the transitional packages
  * Add misc:Depends to transitional packages to please lintian

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 08 May 2013 14:27:12 +0200

iproute2 (3.9.0-1) experimental; urgency=low

  * debian/copyright: List additional copyright holders
  * debian/copyright: say GPLv2 (only) as not all files are "or later".
  * Imported Upstream version 3.9.0
  * Please lintian with dummy copyright lines for transitional packages
  * Bump standards-version to 3.9.4

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 03 May 2013 15:32:09 +0200

iproute2 (3.8.0-2) experimental; urgency=low

  * Add dummy copyright and changelog for iproute and iproute-doc
    - bump iproute and iproute-doc packag version to 20130000-2 and
      make their only content static to hopefully allow us to reupload
      new versions of the package with the transitional packages still
      on the same old version, to avoid having to bump it each time.

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 21 Feb 2013 21:09:28 +0100

iproute2 (3.8.0-1) experimental; urgency=low

  * Imported Upstream version 3.8.0
    - ip: handle flush with table > 2^31 (Closes: #700434)
  * Refresh patches to apply without fuzz and offset

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 21 Feb 2013 20:16:18 +0100

iproute2 (3.7.0-1) experimental; urgency=low

  * Add additional meta-info to previous changelog entries
  * Rename the package and adopt new versioning scheme! (Closes: #693575)
    - iproute renamed to iproute2 to properly match upstream name.
    - iproute-doc renamed to iproute2-doc
    - iproute-dev dropped. It only shipped libnetlink static library
      which is actively discuraged. See libmnl instead.
    - add transitional packages iproute and iproute-doc.
  * Add debian/watch file to track upstream releases
  * Make iproute2 and iproute2-doc conflict and replace older equivalents

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 18 Feb 2013 19:04:12 +0100

iproute (20121211-2) experimental; urgency=low

  [ Kamal Mostafa ]
  * Enable cross-compile support in debian/rules (Closes: #670660)

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 12 Dec 2012 12:29:03 +0100

iproute (20121211-1) experimental; urgency=low

  * Imported Upstream version 3.7.0 (aka. snapshot 20121211)
    - this version has the fix for cross-compile
    - fixes it's vs its in manpages (Closes: #693043)
  * Revert "List interfaces without net address by default"
    - patch from upstream now part of latest release.

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 12 Dec 2012 11:59:52 +0100

iproute (20121001-2) experimental; urgency=low

  * Generate recommends for optional module dependencies
    This makes the optional module dependency on libxtables more
    visible, to hopefully get iproute rebuilt whenever libxtables
    bumps soname.
    Thanks to iptables maintainer for splitting libxtables9 into
    a separate package in version 1.4.16.3-2.
  * 0001-iproute2-List-interfaces-without-net-address-by-defa.patch:
    List interfaces without net address by default.
    This fixes regression in iproute2-3.5.1 when `ip addr show' skipped
    interfaces without network layer address.
    Patch from upstream (git 7f747fd9377b8538ad).

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 09 Nov 2012 15:49:24 +0100

iproute (20121001-1) experimental; urgency=low

  * Imported Upstream version 3.6.0 (aka snapshot 20121001)

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 02 Oct 2012 23:49:00 +0200

iproute (20120813-1) experimental; urgency=low

  * Add references to fixed bugs in changelog entry for 20120801-1
  * Fix download url in debian/copyright
  * Imported Upstream version 20120813

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 14 Aug 2012 17:11:20 +0200

iproute (20120801-1) experimental; urgency=low

  * Imported Upstream version 20120801 aka v3.5.0
    - includes new tc codel support (Closes: #675942)
    - support both del and delete in all cases (Closes: #673355)
    - manpage fixes from Bjarni Ingi Gislason (Closes: #674704, #674706)
  * debian/iproute.install: Install new bridge tool to /sbin


