=== debian/control ===
Source: iproute2
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian iproute2 Maintainers <ah-iproute@debian.org>
Uploaders: Andreas Henriksson <andreas@fatal.se>, Alexander Wirt <formorer@debian.org>
Homepage: http://www.linux-foundation.org/en/Net:Iproute2
Vcs-Browser: http://git.debian.org/?p=collab-maint/pkg-iproute.git
Vcs-Git: git://git.debian.org/git/collab-maint/pkg-iproute.git
Standards-Version: 3.9.4
Build-Depends: texlive-latex-base,
               texlive-latex-recommended,
               iptables-dev,
               libatm1-dev,
               libdb-dev,
               linuxdoc-tools,
               linux-libc-dev,
               debhelper (>= 8),
               lynx | lynx-cur,
               pkg-config,
               bison,
               flex

Package: iproute2
Priority: important
Architecture: any
Provides: arpd
Conflicts: arpd, iproute (<< 20130000-1)
Replaces: iproute
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: ${ipmods:Recommends}
Suggests: iproute2-doc
Multi-Arch: foreign
Description: networking and traffic control tools
 The iproute2 suite is a collection of utilities for networking and
 traffic control.
 .
 These tools communicate with the Linux kernel via the (rt)netlink
 interface, providing advanced features not available through the
 legacy net-tools commands 'ifconfig' and 'route'.

Package: iproute2-doc
Section: doc
Architecture: all
Conflicts: iproute-doc (<< 20130000-1)
Replaces: iproute-doc
Depends: ${misc:Depends}
Description: networking and traffic control tools - documentation
 The iproute2 suite is a collection of utilities for networking and
 traffic control.
 .
 This package contains the documentation for iproute.

Package: iproute
Depends: iproute2, ${misc:Depends}
Architecture: all
Section: oldlibs
Description: transitional dummy package for iproute2
 This is a transitional dummy package to get upgrading systems to install
 the iproute2 package. It can safely be removed.

Package: iproute-doc
Depends: iproute2-doc, ${misc:Depends}
Architecture: all
Section: oldlibs
Description: transitional dummy package for iproute2-doc
 This is a transitional dummy package to get upgrading systems to install
 the iproute2-doc package. It can safely be removed.
