## iproute2 3.12.0

=== debian/changelog ===
iproute2 (3.12.0-2ubuntu1.2) trusty; urgency=medium

  * Fix ip maddr show (LP: #1732032):
    - d/p/1003-ip-maddr-fix-igmp-parsing.patch: fix igmp parsing when iface is
      long
    - d/p/1004-ip-maddr-avoid-uninitialized-data.patch: avoid accessing
      uninitialized data
    - d/p/1005-ip-maddr-fix-filtering-by-device.patch: fix filtering
      by device

 -- Andreas Hasenack <andreas@canonical.com>  Wed, 29 Nov 2017 17:15:25 -0200

iproute2 (3.12.0-2ubuntu1.1) trusty; urgency=medium

  * debian/patches/99-increase-receive-buffer-size.patch: Fix "Message
    truncated" issue with many VF's.  Thanks to Phil Sutter
    <phil@nwl.cc>.  Closes LP: #1720126.

 -- Monique van den Berg <monique.vandenberg@netronome.com>  Mon, 16 Oct 2017 09:26:42 +0200

iproute2 (3.12.0-2ubuntu1) trusty; urgency=low

  * Add Ubuntu FAN support V3.  (LP: #1470091)

 -- Andy Whitcroft <apw@ubuntu.com>  Mon, 29 Jun 2015 17:05:40 +0100

iproute2 (3.12.0-2) unstable; urgency=medium

  * Add build-dependency on texlive-fonts-recommended (Closes: #738397)

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 12 Feb 2014 22:18:40 +0100

iproute2 (3.12.0-1) unstable; urgency=low

  * Improve removal comment in transitional packages descriptions
    (Closes: #708823)
  * Imported Upstream version 3.12.0 (aka snapshot 20131122)
    - ss now avoids negative numbers in malloc, partially fixes #511720
    - gretap now listed in help output and manpage (Closes: #582675)

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 26 Nov 2013 00:43:35 +0100

iproute2 (3.11.0-1) unstable; urgency=low

  * Imported Upstream version 3.11.0 (aka snapshot 20130903)

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 04 Sep 2013 21:21:03 +0200
