=== debian/control ===
--- 
+++ 
@@ -10,6 +10,7 @@
 Standards-Version: 3.9.4
 Build-Depends: texlive-latex-base,
                texlive-latex-recommended,
+               texlive-fonts-recommended,
                iptables-dev,
                libatm1-dev,
                libdb-dev,
@@ -57,7 +58,8 @@
 Section: oldlibs
 Description: transitional dummy package for iproute2
  This is a transitional dummy package to get upgrading systems to install
- the iproute2 package. It can safely be removed.
+ the iproute2 package. It can safely be removed once no other package
+ depends on it.
 
 Package: iproute-doc
 Depends: iproute2-doc, ${misc:Depends}
@@ -65,4 +67,5 @@
 Section: oldlibs
 Description: transitional dummy package for iproute2-doc
  This is a transitional dummy package to get upgrading systems to install
- the iproute2-doc package. It can safely be removed.
+ the iproute2-doc package. It can safely be removed once no other package
+ depends on it.
