=== debian/changelog ===
iproute2 (3.16.0-2~bpo70+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports.

 -- Michael Tokarev <mjt@tls.msk.ru>  Fri, 31 Oct 2014 13:50:38 +0300

iproute2 (3.16.0-2) unstable; urgency=medium

  * Cherry-pick upstream commit f1b66ff8
    "ip link: Remove unnecessary device checking" (Closes: #757644)

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 05 Sep 2014 07:47:42 -0700

iproute2 (3.16.0-1) unstable; urgency=medium

  * Imported Upstream version 3.16.0
    - a.k.a. snapshot 140804

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 05 Aug 2014 14:08:55 +0200

iproute2 (3.15.0-2) unstable; urgency=medium

  * Enable selinux support in ss (Closes: #751963)

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 18 Jun 2014 14:27:57 +0200

iproute2 (3.15.0-1) unstable; urgency=medium

  * Imported Upstream version 3.15.0
    - bridge: Make filter_index match in signedness (Closes: #749155)
    - fix print_ipt: segfault if more then one filter with action -j MARK.
      (Closes: #710450)
    - and more...

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 15 Jun 2014 11:17:11 +0200

iproute2 (3.14.0-2) unstable; urgency=medium

  * Add build-dependency on cm-super-minimal (Closes: #750565)
  * Run wrap-and-sort
  * Bump Standards-Version to 3.9.5

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 04 Jun 2014 18:26:32 +0200

iproute2 (3.14.0-1) unstable; urgency=medium

  * Imported Upstream version 3.14.0
    - htb: support 64bit rates (Closes: #731507)

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 14 Apr 2014 19:13:42 +0200
