=== debian/changelog ===
iproute2 (4.3.0-1ubuntu3.16.04.5) xenial; urgency=medium

  * sched: Match-all classifier is missing in xenial (LP: #1642514)
    - d/p/1011-tc-Add-support-for-the-matchall-traffic-classifier.patch

 -- Stefan Bader <stefan.bader@canonical.com>  Thu, 04 Apr 2019 15:47:07 +0200

iproute2 (4.3.0-1ubuntu3.16.04.4) xenial; urgency=medium

  * Add support for VF Trust (LP: #1800877)
    - d/p/1008-vf_trust_dddf1b44126e.patch: netlink attribute
    - d/p/1009-vf_trust_b6d77d9ee312.patch: set it for kernel
    - d/p/1010-vf_trust_fe9322781e63.patch: print it for user

 -- Mauricio Faria de Oliveira <mfo@canonical.com>  Tue, 18 Sep 2018 12:21:44 -0300

iproute2 (4.3.0-1ubuntu3.16.04.3) xenial; urgency=medium

  * Fix ip maddr show (LP: #1732032):
    - d/p/1005-ip-maddr-fix-igmp-parsing.patch: fix igmp parsing when iface is
      long
    - d/p/1006-ip-maddr-avoid-uninitialized-data.patch: avoid accessing
      uninitialized data
    - d/p/1007-ip-maddr-fix-filtering-by-device.patch: fix filtering
      by device

 -- Andreas Hasenack <andreas@canonical.com>  Wed, 29 Nov 2017 15:04:40 -0200

iproute2 (4.3.0-1ubuntu3.16.04.2) xenial; urgency=medium

  * debian/patches/99-increase-receive-buffer-size.patch: Fix "Message
    truncated" issue with many VF's.  Thanks to Phil Sutter
    <phil@nwl.cc>.  Closes LP: #1720126.

 -- Monique van den Berg <monique.vandenberg@netronome.com>  Tue, 17 Oct 2017 11:33:13 +0200

iproute2 (4.3.0-1ubuntu3.16.04.1) xenial; urgency=medium

  * debian/patches/1004-tc.8-Fix-reference-to-tc-tcindex.8.patch:
    [PATCH] tc.8: Fix reference to tc-tcindex.8.  Thanks to Phil Sutter
    <phil@nwl.cc>.  LP: #1668813

 -- Jon Grimm <jon.grimm@canonical.com>  Fri, 10 Mar 2017 16:59:26 -0600

iproute2 (4.3.0-1ubuntu3) xenial; urgency=medium

  * Add d/p/1003-fix-variable-in-libnetlink.patch (LP: #1522371), fix a variable name
    collision issuing a segfault; from upstream.
  * Add TIPC support (LP: #1508225):
    - d/control: add libmnl-dev to BDs, to include TIPC support.
    - d/iproute2.install: add tipc binary.

 -- Pierre-AndrÃ© MOREY <pierre-andre.morey@canonical.com>  Tue, 05 Apr 2016 09:43:44 +0200

iproute2 (4.3.0-1ubuntu2) xenial; urgency=medium

  * No-change rebuild for new iptables.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 21 Feb 2016 20:00:55 +0100

iproute2 (4.3.0-1ubuntu1) xenial; urgency=low

  * Merge from Debian unstable.  Remaining changes:
   - debian/patches/1000-ubuntu-poc-fan-driver.patch
     Ubuntu FAN driver support V2 (LP: #1439706)
   - debian/patches/1001-ubuntu-poc-fan-driver-v3.patch
     Ubuntu FAN driver support V3 (LP: #1470091)
   - debian/patches/1002-ubuntu-poc-fan-driver-vxlan.patch
     Ubuntu FAN driver support VXLAN V4.

 -- Andy Whitcroft <apw@ubuntu.com>  Tue, 22 Dec 2015 09:32:32 +0000

iproute2 (4.3.0-1) unstable; urgency=medium

  * Add debian/gbp.conf
  * Imported Upstream version 4.3.0
  * Have quilt unfuzz debian/patches/0001-Add-moo-feature.patch
  * Ship new generic netlink utility: genl
  * Ship examples via debian/iproute2-doc.examples instead
  * Add myself to debian/copyright

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 26 Nov 2015 18:34:59 +0100

iproute2 (4.1.1-1ubuntu2) xenial; urgency=low

  * debian/patches/1002-ubuntu-poc-fan-driver-vxlan.patch
    Ubuntu FAN drvier support VXLAN V4.

 -- Andy Whitcroft <apw@ubuntu.com>  Tue, 17 Nov 2015 13:29:03 +0000

iproute2 (4.1.1-1ubuntu1) wily; urgency=medium

  * Merge with Debian, remaining changes (LP: #1448800):
   - debian/patches/1000-ubuntu-poc-fan-driver.patch
     Ubuntu FAN driver support V2 (LP: #1439706)
   - debian/patches/1001-ubuntu-poc-fan-driver-v3.patch
     Ubuntu FAN driver support V3 (LP: #1470091)

 -- Andy Whitcroft <apw@ubuntu.com>  Wed, 19 Aug 2015 09:59:35 +0100

iproute2 (4.1.1-1) unstable; urgency=medium

  * [be9f298] Imported Upstream version 4.1.1

 -- Alexander Wirt <formorer@debian.org>  Mon, 17 Aug 2015 16:10:46 +0200

iproute2 (4.0.0-1) unstable; urgency=medium

  * [6dd90fb] Imported Upstream version 4.0.0
  * [03b830b] Remove obsolete patch 
              0003-ip-link-Remove-unnecessary-device-checking
  * [8c27170] Refresh patches
  * [0c99cce] Bump standards version (no changes)

 -- Alexander Wirt <formorer@debian.org>  Wed, 24 Jun 2015 10:01:45 +0200

iproute2 (3.16.0-2ubuntu2) wily; urgency=low

  * Update Ubuntu FAN support to V3.  (LP: #1470091)

 -- Andy Whitcroft <apw@canonical.com>  Mon, 29 Jun 2015 16:59:24 +0100

iproute2 (3.16.0-2ubuntu1) vivid; urgency=low

  * Add Ubuntu FAN support.  (LP: #1439706)

 -- Andy Whitcroft <apw@ubuntu.com>  Tue, 24 Feb 2015 14:45:19 +0000
