=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: iproute2
 Section: net
 Priority: optional
-Maintainer: Debian iproute2 Maintainers <ah-iproute@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian iproute2 Maintainers <ah-iproute@debian.org>
 Uploaders: Andreas Henriksson <andreas@fatal.se>,
-           Alexander Wirt <formorer@debian.org>,
-           Michael Tokarev <mjt@tls.msk.ru>
+           Alexander Wirt <formorer@debian.org>
 Homepage: http://www.linux-foundation.org/en/Net:Iproute2
 Vcs-Browser: http://git.debian.org/?p=collab-maint/pkg-iproute.git
 Vcs-Git: git://git.debian.org/git/collab-maint/pkg-iproute.git
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Build-Depends: bison,
                cm-super-minimal,
                debhelper (>= 8),
@@ -16,6 +16,7 @@
                iptables-dev,
                libatm1-dev,
                libdb-dev,
+               libmnl-dev,
                libselinux1-dev,
                linux-libc-dev,
                linuxdoc-tools,
