=== debian/changelog ===
iproute2 (4.9.0-1ubuntu2) artful; urgency=medium

  * No-change rebuild against latest iptables

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 18 Jun 2017 23:59:24 -0400

iproute2 (4.9.0-1ubuntu1) zesty; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
   - debian/patches/1000-ubuntu-poc-fan-driver.patch
     Ubuntu FAN driver support V2 (LP: #1439706)
   - debian/patches/1001-ubuntu-poc-fan-driver-v3.patch
     Ubuntu FAN driver support V3 (LP: #1470091)
   - debian/patches/1002-ubuntu-poc-fan-driver-vxlan.patch
     Ubuntu FAN driver support VXLAN V4.
  * Drop the following, fixed in debian:
   - d/p/1003-fix-variable-in-libnetlink.patch (LP: #1522371)
   - Add TIPC support (LP: #1508225):
      - d/control: add libmnl-dev to BDs, to include TIPC support.
      - d/iproute2.install: add tipc binary.
  * Rebased FAN quilt patches on to latest upstream code.

 -- Jon Grimm <jon.grimm@canonical.com>  Fri, 10 Feb 2017 14:15:55 -0600

iproute2 (4.9.0-1) unstable; urgency=medium

  * New upstream release, tested by Julian Wollrath.

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 13 Dec 2016 16:57:50 +0100

iproute2 (4.8.0-1) unstable; urgency=medium

  * Fix debian/gbp.conf to import upstream tag on import-orig
  * New upstream release.
  * Ship upstream iproute2 docs in iproute2-doc package

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 26 Oct 2016 16:07:30 +0200

iproute2 (4.6.0-4) unstable; urgency=medium

  * Fix conflict resolution, really remove ifstat binary (Closes: #832573)

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 16 Aug 2016 09:48:05 +0200

iproute2 (4.6.0-3) unstable; urgency=medium

  * Team upload.

  [ Laurent Bigonville ]
  * debian/control: Downgrade transitional packages to Priority extra

  [ Andreas Henriksson ]
  * Revert "Install ifstat executable and manpage" (Closes: #832573)

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 15 Aug 2016 17:36:13 +0200

iproute2 (4.6.0-2) unstable; urgency=medium

  * Team upload.
  [ Julian Wollrath ]
  * Bump standards version to 3.9.8 (no changes needed)
  * Use at least debhelper version 9 (Closes: #672828)
  * Add build-dep on libelf-dev (Closes: #812774)
  * Add build-dep on libmnl-dev
  * Install tipc and devlink executables (Closes: #803922)

  [ Laurent Bigonville ]
  * debian/iproute2.install, debian/iproute2.manpages: Rely on upstream build
    system to install the files and do not pick them from the source directory
  * debian/iproute2.install: Install the bash completion file
  * debian/iproute2.manpages: Install the devlink and genl manpages not
    installed by the upstream build system
  * Install ifstat executable and manpage
  * Run wrap-and-sort script
  * debian/control: Update the Homepage URL

 -- Laurent Bigonville <bigon@debian.org>  Tue, 26 Jul 2016 18:43:10 +0200

iproute2 (4.6.0-1) unstable; urgency=medium

  [ Julian Wollrath ]
  * Imported upstream version 4.6.0:
    - Add build-dep on texlive-latex-extra for fullpage
  * Remove debian/patches/f_u32
  * Change VCS URLs to the canonical ones

 -- Andreas Henriksson <andreas@fatal.se>  Sat, 09 Jul 2016 13:17:22 +0200
