=== debian/control ===
--- 
+++ 
@@ -5,17 +5,18 @@
 XSBC-Original-Maintainer: Debian iproute2 Maintainers <ah-iproute@debian.org>
 Uploaders: Andreas Henriksson <andreas@fatal.se>,
            Alexander Wirt <formorer@debian.org>
-Homepage: http://www.linux-foundation.org/en/Net:Iproute2
-Vcs-Browser: http://git.debian.org/?p=collab-maint/pkg-iproute.git
-Vcs-Git: git://git.debian.org/git/collab-maint/pkg-iproute.git
-Standards-Version: 3.9.6
+Homepage: https://wiki.linuxfoundation.org/networking/iproute2
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/pkg-iproute.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/pkg-iproute.git
+Standards-Version: 3.9.8
 Build-Depends: bison,
                cm-super-minimal,
-               debhelper (>= 8),
+               debhelper (>= 9),
                flex,
                iptables-dev,
                libatm1-dev,
                libdb-dev,
+               libelf-dev,
                libmnl-dev,
                libselinux1-dev,
                linux-libc-dev,
@@ -24,6 +25,7 @@
                pkg-config,
                texlive-fonts-recommended,
                texlive-latex-base,
+               texlive-latex-extra,
                texlive-latex-recommended
 
 Package: iproute2
@@ -60,6 +62,7 @@
 Depends: iproute2, ${misc:Depends}
 Architecture: all
 Section: oldlibs
+Priority: extra
 Description: transitional dummy package for iproute2
  This is a transitional dummy package to get upgrading systems to install
  the iproute2 package. It can safely be removed once no other package
@@ -69,6 +72,7 @@
 Depends: iproute2-doc, ${misc:Depends}
 Architecture: all
 Section: oldlibs
+Priority: extra
 Description: transitional dummy package for iproute2-doc
  This is a transitional dummy package to get upgrading systems to install
  the iproute2-doc package. It can safely be removed once no other package
