## iproute2 4.14.1

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,8 @@
 Source: iproute2
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian iproute2 Maintainers <ah-iproute@debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>,
-           Alexander Wirt <formorer@debian.org>
+Maintainer: Alexander Wirt <formorer@debian.org>
+Uploaders: Luca Boccassi <bluca@debian.org>
 Homepage: https://wiki.linuxfoundation.org/networking/iproute2
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/pkg-iproute.git
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/pkg-iproute.git
@@ -26,7 +24,8 @@
                texlive-fonts-recommended,
                texlive-latex-base,
                texlive-latex-extra,
-               texlive-latex-recommended
+               texlive-latex-recommended,
+               zlib1g-dev,
 
 Package: iproute2
 Priority: important
