=== debian/rules ===
--- 
+++ 
@@ -17,7 +17,6 @@
 override_dh_clean:
 	dh_clean
 	make distclean
-	-rm -f doc/*.txt
 
 override_dh_shlibdeps:
 	dh_shlibdeps -a -Xq_atm.so -Xm_xt.so -Xm_ipt.so
@@ -27,7 +26,6 @@
 	$(CROSS) dh_auto_configure
 
 override_dh_auto_build:
-	$(MAKE) -C doc all txt
 	$(MAKE) KERNEL_INCLUDE=./include $(CROSS)
 
 # bump version of the transitional packages...
